import { hasOnlyKeys, hasProperty } from "$lib/validation";

export interface ApiGameData {
	isStarted: boolean;
}

export function isApiGameData(target: unknown): target is ApiGameData {
	if (!hasProperty(target, "isStarted", "boolean")) {
		return false;
	}

	return hasOnlyKeys(target, ["isStarted"]);
}
