export async function retry(fn: () => Promise<[boolean, Response]>, retries = 3) {
	let [retryable, response] = await fn(); // 1 try

	while (retries-- && retryable) {
		[retryable, response] = await fn(); // and 3 retries
	}

	return response;
}
